r2646 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Fri May 5 12:09:01 PDT 2006


Author: manuel
Date: 2006-05-05 13:09:01 -0600 (Fri, 05 May 2006)
New Revision: 2646

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Merged r2645 from trunk.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-05-05 19:03:33 UTC (rev 2645)
+++ jhalfs/branches/experimental/master.sh	2006-05-05 19:09:01 UTC (rev 2646)
@@ -56,16 +56,6 @@
 [[ $? > 0 ]] && echo "$COMMON_DIR/conf did not load.." && exit
 [[ $VERBOSITY > 0 ]] && echo "OK"
 #
-[[ $VERBOSITY > 0 ]] && echo -n "Loading optimization config..."
-source optimize/opt_config
-[[ $? > 0 ]] && echo " optimize/opt_config did not load.." && exit
-[[ $VERBOSITY > 0 ]] && echo "OK"
-#
-[[ $VERBOSITY > 0 ]] && echo -n "Loading compare module..."
-source $COMMON_DIR/func_compare.sh
-[[ $? > 0 ]] && echo "$COMMON_DIR/func_compare.sh did not load.." && exit
-[[ $VERBOSITY > 0 ]] && echo "OK"
-#
 [[ $VERBOSITY > 0 ]] && echo -n "Loading config module <$MODULE_CONFIG>..."
 source $MODULE_CONFIG
 [[ $? > 0 ]] && echo "$MODULE_CONFIG did not load.." && exit 1
@@ -465,6 +455,24 @@
 fi
 echo "${nl_}${SD_BORDER}${nl_}"
 
+# Loadd additional modules or configuration files based on global settings
+# compare module
+if [[ "$COMPARE" = "1" ]]; then
+  [[ $VERBOSITY > 0 ]] && echo -n "Loading compare module..."
+  source $COMMON_DIR/func_compare.sh
+  [[ $? > 0 ]] && echo "$COMMON_DIR/func_compare.sh did not load.." && exit
+  [[ $VERBOSITY > 0 ]] && echo "OK"
+fi
+#
+# optimize configurations
+if [[ "$OPTIMIZE" != "0" ]]; then
+  [[ $VERBOSITY > 0 ]] && echo -n "Loading optimization config..."
+  source optimize/opt_config
+  [[ $? > 0 ]] && echo " optimize/opt_config did not load.." && exit
+  [[ $VERBOSITY > 0 ]] && echo "OK"
+fi
+#
+
 # Prevents setting "-d /" by mistake.
 
 if [ $BUILDDIR = / ] ; then




More information about the alfs-log mailing list